@ECHO OFF
REM ******** This batchfile is the final step. The elevated command window stays running after this. ********

REM **** the filepath of the textfile that contains the saved 'open here' path is between the doublequotes: ****
SET /P LOAD_PATH=<"C:\tools\elecmd\elecmd.txt"

CD /d %LOAD_PATH%
SET "LOAD_PATH="

SETLOCAL

FOR /F "tokens=* USEBACKQ" %%F IN (`REG QUERY "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion" /v ProductName`) DO SET ProductName=%%F
SET ProductName=%ProductName:*REG_SZ =%
FOR /F "tokens=* Eol= " %%F IN ("%ProductName%") DO SET "ProductName=%%F"

IF DEFINED ProgramFiles(x86) (SET OSType=x64) ELSE (SET OSType=x86)

FOR /F "tokens=* USEBACKQ" %%F IN (`REG QUERY "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion" /v DisplayVersion`) DO SET DisplayVersion=%%F
SET DisplayVersion=%DisplayVersion:*REG_SZ =%
FOR /F "tokens=* Eol= " %%F IN ("%DisplayVersion%") DO SET "DisplayVersion=%%F"

SET UseExpresssion=Ver
FOR /F "tokens=*" %%F IN ('%UseExpresssion%') DO SET OSBuild=%%F
SET OSBuild=%OSBuild:*10.0.=%
SET OSBuild=%OSBuild:~0,-1%

ECHO %ProductName% %OSType% version %DisplayVersion% build %OSBuild%

ENDLOCAL
